%global momorel 3

Summary: Gnome encryption interface
Name: seahorse
Version: 2.30.1
Release: %{momorel}m%{?dist}
License: GPL
Group: User Interface/Desktops
URL: http://www.gnome.org/projects/seahorse/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.30/%{name}-%{version}.tar.bz2
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: pkgconfig
BuildRequires: intltool
BuildRequires: GConf2
BuildRequires: openldap-devel >= 2.4.13

BuildRequires: gtk2-devel >= 2.16.0
BuildRequires: libglade2-devel >= 2.6.3
BuildRequires: GConf2-devel >= 2.25.2
BuildRequires: libsoup-devel >= 2.25.91
BuildRequires: gnome-keyring-devel >= 2.26.0
BuildRequires: avahi-devel >= 0.6.24
BuildRequires: avahi-glib-devel >= 0.6.24
BuildRequires: libnotify-devel >= 0.4.5
BuildRequires: gpgme-devel >= 1.2.0

BuildRequires: dbus-glib-devel >= 0.80
BuildRequires: glib2-devel >= 2.20.0
Requires: GConf2
Requires(pre): hicolor-icon-theme gtk2

# Obsolete in GNOME
Obsoletes: gnome-keyring-manager

%description
Seahorse is a graphical interface for managing and using encryption
keys.  Currently it supports PGP keys (using GPG/GPGME) and SSH keys.
Its goal is to provide an easy to use Key Management Tool, along with
an easy to use interface for encryption operations.

%package devel
Summary: seahourse devel
Group: User Interface/Desktops
Requires: %{name} = %{version}-%{release}

%description devel
seahourse devel

%prep
%setup -q

%build
CFLAGS="%{optflags} -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64"
%configure \
    --enable-silent-rules \
    --enable-static=no \
    --disable-scrollkeeper \
    --disable-schemas-install \
    --enable-gtk-doc \
    --disable-update-mime-database
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
%find_lang %{name}

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig
rarian-sk-update
%{_bindir}/update-mime-database %{_datadir}/mime &> /dev/null
gtk-update-icon-cache -q -f -t %{_datadir}/icons/hicolor || :
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/seahorse.schemas \
    > /dev/null || :

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/seahorse.schemas \
	> /dev/null || :
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/seahorse.schemas \
	> /dev/null || :
fi

%postun
/sbin/ldconfig
rarian-sk-update
%{_bindir}/update-mime-database %{_datadir}/mime &> /dev/null

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING-DOCS COPYING-LIBCRYPTUI ChangeLog README THANKS
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/%{name}
%{_bindir}/%{name}-daemon
%{_libdir}/libcryptui.so.*
%exclude %{_libdir}/*.la
%{_libdir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/dbus-1/services/org.gnome.seahorse.service
%{_datadir}/icons/hicolor/*/apps/*
%{_mandir}/man1/%{name}-daemon.1.*
%{_mandir}/man1/%{name}.1.*
%{_datadir}/omf/%{name}
%{_datadir}/pixmaps/%{name}
%{_datadir}/%{name}

# gir
%{_libdir}/girepository-1.0/CryptUI-0.0.typelib
%{_datadir}/gir-1.0/CryptUI-0.0.gir

%files devel
%defattr(-, root, root)
%{_includedir}/libcryptui
%{_libdir}/libcryptui.so
%{_libdir}/pkgconfig/cryptui-0.0.pc
%{_datadir}/gnome/help/%{name}
%{_datadir}/gtk-doc/html/libcryptui
%{_datadir}/gtk-doc/html/libseahorse

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.30.1-3m)
- full rebuild for mo7 release

* Tue May 25 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.1-2m)
- add Requires(pre): hicolor-icon-theme gtk2
- use gtk-update-icon-cache -q -f -t %{_datadir}/icons/hicolor || :

* Thu Apr 29 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.1-1m)
- update to 2.30.1

* Sun Apr 18 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.0-1m)
- update to 2.30.0

* Sat Feb 27 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.29.91-1m)
- update to 2.29.91

* Sun Feb 14 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.29.90-1m)
- update to 2.29.90

* Mon Dec 28 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.28.1-4m)
- delete __libtoolize hack

* Sun Dec 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.1-3m)
- fix build with gtk-doc 1.13
-- add gtkdocize --copy; autoreconf -vfi

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.28.1-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sun Oct 18 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.1-1m)
- update to 2.28.1

* Sat Sep 26 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.0-1m)
- update to 2.28.0

* Wed Sep 23 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.26.2-2m)
- rebuild against gpgme-1.2.0
-- gpgme needs largefile support

* Sat May 23 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.2-1m)
- update to 2.26.2

* Mon Apr 13 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.1-1m)
- update to 2.26.1

* Mon Mar 16 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.0-2m)
- fix autostart

* Sun Mar 15 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.0-1m)
- update to 2.26.0

* Sat Mar  7 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.92-2m)
- mv autostart file %%{_sysconfdir}/xdg/gnome/autostart

* Fri Mar  6 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.92-1m)
- update to 2.25.92

* Sun Feb 15 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.91-1m)
- update to 2.25.91

* Sat Feb 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.25.90-2m)
- add BuildPrereq: gnome-keyring-devel >= 2.25.90

* Mon Feb  9 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.90-1m)
- update to 2.25.90

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.24.1-2m)
- rebuild against rpm-4.6

* Mon Oct 20 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.1-1m)
- update to 2.24.1

* Fri Oct  3 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.0-1m)
- update to 2.24.0

* Tue Jul 15 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.22.3-2m)
- rebuild against gnutls-2.4.1 (libsoup)

* Tue Jul  1 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.3-1m)
- update to 2.22.3

* Thu May 29 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.2-1m)
- update to 2.22.2

* Sun May 18 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.1-2m)
- good-bye gecko (epiphany)

* Sat Apr 19 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.1-1m)
- update to 2.22.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.22.0-2m)
- rebuild against gcc43

* Sat Mar 15 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.0-1m)
- update to 2.22.0

* Wed Feb 27 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.20.3-2m)
- rebuild against openldap-2.4.8

* Tue Jan  8 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.3-1m)
- update to 2.20.3

* Fri Oct 19 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.1-1m)
- update to 2.20.1

* Fri Sep 21 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.0-1m)
- update to 2.20.0

* Wed Apr 18 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.1-1m)
- update to 1.0.1

* Tue Mar 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0-1m)
- update to 1.0

* Sat Feb 24 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.92-1m)
- update to 0.9.92

* Thu Feb 22 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.91-3m)
- rewind %%post script (gconftool-2)

* Sun Feb 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.91-2m)
- revice %%post script (gconftool-2)

* Sun Feb 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.91-1m)
- initial build (unstable)
